<?php

require_once ('tcpdf/examples/lang/eng.php');
require_once('tcpdf/tcpdf.php');
require_once('../../mysqli_connect.php');
// get data from users table 
if (isset($_POST['submitted'])) {


    $errors = array();


    if (empty($_POST['name'])) {
        $errors[] = ' Δεν επιλέξατε Στέλεχος.';
    } else {
        $name = mysqli_real_escape_string($dbc, trim($_POST['name']));
    }

  

    if (empty($_POST['diatagi'])) {
        $errors[] = ' Δεν συμπληρώσατε τη διαταγή μετακίνησης';
    } else {
        $diatagi = mysqli_real_escape_string($dbc, trim($_POST['diatagi']));
    }

    if (empty($_POST['proorismos'])) {
        $errors[] = ' Δεν επιλέξατε προορισμό για την αδείας.';
    } else {
        $proorismos = mysqli_real_escape_string($dbc, trim($_POST['proorismos']));
    }

    if (empty($_POST['yeara']) or empty($_POST['montha']) or empty($_POST['daya'])) {
        $errors[] = ' Δεν επιλέξατε ημερομηνία αναχώρησης.';
    } else {
        $datea = $_POST['daya'] . '/' . $_POST['montha'] . '/' . $_POST['yeara'];
    }

    if (empty($_POST['yeare']) or empty($_POST['monthe']) or empty($_POST['daye'])) {
        $errors[] = ' Δεν επιλέξατε ημερομηνία επιστροφής.';
    } else {
        $datee = $_POST['daye'] . '/' . $_POST['monthe'] . '/' . $_POST['yeare'];
    }


    if (empty($errors)) {
        // create new PDF document 
        $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

        $pdf->SetPrintHeader(false);
        $pdf->SetPrintFooter(false);

// set default monospaced font 
        $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins 
        $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);

//set auto page breaks 
        $pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor 
        $pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings 
        $pdf->setLanguageArray($l);

// --------------------------------------------------------- 
// set font 
        $pdf->SetFont('dejavusans', '', 10);

// add a page 
        $pdf->AddPage();
        $today = date("j- n- Y");

        $txt = <<<EOD
ΓΕΝΙΚΟ ΕΠΙΤΕΛΕΙΟ ΣΤΡΑΤΟΥ
ΣΧΟΛΗ ΠΡΟΓΡΑΜΜΑΤΙΣΤΩΝ
ΗΛΕΚΤΡΟΝΙΚΩΝ ΥΠΟΛΟΓΙΣΤΩΝ
        
                                                        Φύλλο Πορείας
 
ΦΥΛΛΟ ΠΟΡΕΙΑΣ ΓΙΑ ΤΟΝ $name
ΑΠΕΡΧΟΜΕΝΟ ΣΤΟ/ΣΤΗΝ (1) $proorismos 
ΣΥΜΦΩΝΑ ΜΕ ΤΗΝ ΥΠ’ΑΡΙΘΜ. ΔΙΑΤΑΓΗ (2) $diatagi
ΗΜΕΡΟΜΗΝΙΑ ΑΝΑΧΩΡΗΣΗΣ $datea
ΗΜΕΡΟΜΗΝΙΑ EΠIΣTPOΦHΣ  $datee      
                                                                      Η ΜΕΤΑΚΙΝΗΣΗ ΘΑ ΠΡΑΓΜΑΤΟΠΟΙΗΘΕΙ 
                                                                            Α. ΜΕ ΥΠΗΡΕΣΙΑΚΟ ΜΕΣΟ 
                                                                            Β. ΜΕ ΙΔΙΟΚΤΗΤΟ ΜΕΣΟ (Ι.Χ.)… 
        


                                                                   Αθήνα, $today
                                                                         - ο -
                                                                      Διοικητής

EOD;


// output the HTML content 
// $pdf->writeHTML($htmlcontent, true, 0, true, 0); 
        $pdf->Write(0, $txt, '', 0, 'L', true, 0, false, false, 0);

// $pdf->writeHTML($inlinecss, true, 0, true, 0); 
// reset pointer to the last page 
// $pdf->lastPage(); 
//Close and output PDF document 
        $pdf->Output('example_006.pdf', 'I');
        
        } else {
                echo '<meta charset="utf-8"><p class="error">The following error(s) occurred:<br />';
    foreach ($errors as $msg) { // Print each error.
        echo " - $msg<br />\n";
    }
    echo '</p><p>Please try again.</p>';
}}else{
    echo 'The page has been acceced in error';
}
    ?>